Bug 149585 - [PATCH] devel/py-unittestplus: Fails to build correctly with Python 2.4/2.5
Summary: [PATCH] devel/py-unittestplus: Fails to build correctly with Python 2.4/2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-12 19:20 UTC by Greg Larkin
Modified: 2010-08-18 14:40 UTC (History)
1 user (show)

See Also:


Attachments
py26-unittestplus-1.1.1.patch (441 bytes, patch)
2010-08-12 19:20 UTC, Greg Larkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Larkin freebsd_committer 2010-08-12 19:20:06 UTC
py-unittestplus fails to build correctly with Python 2.4 or 2.5 selected:

byte-compiling /usr/local/lib/python2.4/site-packages/unittestplus/tests/testcaseplus_test.py to testcaseplus_test.pyc
  File "/usr/local/lib/python2.4/site-packages/unittestplus/tests/testcaseplus_t
est.py", line 246
    except AssertionError as exc:
                           ^
SyntaxError: invalid syntax
byte-compiling /usr/local/lib/python2.4/site-packages/unittestplus/tests/__init__.py to __init__.pycwriting byte-compilation script '/tmp/tmpv3Ah4Y.py'
/usr/local/bin/python2.4 -O /tmp/tmpv3Ah4Y.py
  File "/usr/local/lib/python2.4/site-packages/unittestplus/tests/testcaseplus_test.py", line 246
    except AssertionError as exc:
                           ^
SyntaxError: invalid syntax
removing /tmp/tmpv3Ah4Y.py

Port maintainer (hsmtkk@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99

How-To-Repeat: 
make PYTHON_VERSION=python2.4 PYTHON_DEFAULT_VERSION=python2.4 install

-or- 

make PYTHON_VERSION=python2.5 PYTHON_DEFAULT_VERSION=python2.5 install
Comment 1 Edwin Groothuis freebsd_committer 2010-08-12 19:22:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-08-12 19:22:50 UTC
Maintainer of devel/py-unittestplus,

Please note that PR ports/149585 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149585

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-08-12 19:22:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Kouki Hashimoto 2010-08-14 00:36:51 UTC
To Greg;
Thank you for your patch.

To Edwin;
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> The full text of the PR can be found at:
> =C2=A0 =C2=A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/149585
I have tested this patch and it works correctly.
I agree with this patch.
Please commit it.

--=20
Kouki Hashimoto
hsmtkk@gmail.com
Comment 5 dfilter service freebsd_committer 2010-08-18 14:31:08 UTC
glarkin     2010-08-18 13:30:54 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-unittestplus Makefile 
  Log:
  - Restrict port to use Python 2.6+, since 2.4/2.5 fail to build it
    with a syntax error.
  
  PR:             ports/149585
  Submitted by:   glarkin
  Approved by:    Kouki Hashimoto <hsmtkk at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.2       +1 -1      ports/devel/py-unittestplus/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Greg Larkin freebsd_committer 2010-08-18 14:31:28 UTC
State Changed
From-To: feedback->closed

Committed, thank you!